//	yf Net list readers 1
//		2005.10.11 - 2005.10.16 Yoshaiki.Ueda
#ifndef yf_NET_LIST_RAEDERS_H
#define yf_NET_LIST_READERS_H
#include "yfNetListReaderBase.h"

//	BSch Reader	//=============================================================
class yfNetBschReader : public yfNetListReader
{
	DECLARE_DYNAMIC_CLASS(yfNetBschReader)
public:
	yfNetBschReader();
protected:
	bool m_inList;
    void OnToken(const wxString& token);
    void OnTermLine();
/*
	protected:
	enum { SEC_END, SEC_PACKAGES, SEC_NETS } m_stateSection;
	void Init();
	void ParseLine(const wxString& source);
*/
};

//	PADS Reader	//=============================================================
class yfNetPadsReader : public yfNetListReader
{
	DECLARE_DYNAMIC_CLASS(yfNetPadsReader)
protected:
	void ParseLine(const wxString& source);
};

//	ECF Reader	//=============================================================
class yfNetECFReader : public yfNetListReader
{
    DECLARE_DYNAMIC_CLASS(yfNetECFfReader)
public:
	yfNetECFReader();
protected:
	bool m_inList;
    void OnToken(const wxString& token);
};


//	Protel Reader	//=============================================================
class yfNetProtelReader : public yfNetListReader
{
	DECLARE_DYNAMIC_CLASS(yfNetProtelReader)
public:
	yfNetProtelReader();
protected:
	bool incomponent;
	bool startnet;
	bool innet;
    void OnToken(const wxString& token);
};

#endif//yf_NET_LIST_READERS_H
